# FallbackCacheRepo

interface FallbackCacheRepo : CacheRepo (source)

Any inheritor of this should work with next logic: try to take data from their original repo, if successful - save data to internal dev.inmo.micro_utils.repos.cache.cache.FullKVCache or try to take data from that internal cache

#### Inheritors

AutoRecacheReadCRUDRepo
AutoRecacheWriteCRUDRepo
AutoRecacheReadKeyValueRepo
AutoRecacheWriteKeyValueRepo
AutoRecacheReadKeyValuesRepo
AutoRecacheWriteKeyValuesRepo

## Functions

invalidate
Link copied to clipboard
abstract suspend fun invalidate ()